#!/bin/sh

# Set the bonita environment file
BONITA_OPTS="-Dorg.ow2.bonita.environment=bonita-environment.xml"

# Set the CATALINA_HOME and CATALINA_BASE to the current tomcat 
CATALINA_HOME=".."
CATALINA_BASE=".."

# Computes the absolute path of eXo
cd `dirname "$0"`

# Sets some variables
SECURITY_OPTS="-Djava.security.auth.login.config=../conf/jaas.conf"
#EXO_OPTS="-Dexo.product.developing=true"
#EXO_CONFIG_OPTS="-Xshare:auto -Xms128m -Xmx512m -Dorg.exoplatform.container.configuration.debug"

JPDA_TRANSPORT=dt_socket
JPDA_ADDRESS=8000

REMOTE_DEBUG="-Xdebug -Xrunjdwp:transport=dt_socket,address=8000,server=y,suspend=n"

# For profiling
#LD_LIBRARY_PATH="/cygdrive/d/tools/YourKit/bin/win32/"
#PATH="$PATH:$LD_LIBRARY_PATH"
#export LD_LIBRARY_PATH
#YOURKIT_PROFILE_OPTION="-agentlib:yjpagent  -Djava.awt.headless=true"

JAVA_OPTS="$JAVA_OPTS $LOG_OPTS $SECURITY_OPTS $EXO_OPTS $EXO_CONFIG_OPTS $BONITA_OPTS"
###JAVA_OPTS="$YOURKIT_PROFILE_OPTION $JAVA_OPTS $SECURITY_OPTS $EXO_OPTS $EXO_CONFIG_OPTS"

# [ANCV] memory etc.
JAVA_OPTS="$JAVA_OPTS -server -Xmx1500m -Xms500m -XX:PermSize=128m"
# [ANCV] started with option jaxws
JAVA_OPTS="$JAVA_OPTS -Djaxws"

export JAVA_OPTS

# Launches the server
exec "$PRGDIR"./catalina.sh "$@"
